> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemcollection.md).

# GridItemCollection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Contains a collection of [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) objects.

{% tabs %}
{% tab title="C#" %}

```csharp
public class GridItemCollection : ICollection, IEnumerable, ICollection<GridItem>, IEnumerable<GridItem>
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class GridItemCollection
    Inherits ICollection
    Implements IEnumerable, ICollection(Of GridItem), IEnumerable(Of GridItem)
```

{% endtab %}
{% endtabs %}

## Fields

| Name      | Type                                                                                              | Description                                                                                                                          |
| --------- | ------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| **Empty** | [GridItemCollection](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemcollection.md) | Specifies that the [GridItemCollection](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemcollection.md) has no entries. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Count

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of grid items in the collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item(index)

[GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md): Returns the [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) at the specified index.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item(label)

[GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md): Returns the [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) with the matching label.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) GetEnumerator()

Returns an enumeration of all the grid items in the collection.

**Returns:** [IEnumerator](https://docs.microsoft.com/dotnet/api/system.collections.ienumerator). An [IEnumerator](https://docs.microsoft.com/dotnet/api/system.collections.ienumerator) for the [GridItemCollection](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemcollection.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditemcollection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
